package com.sunxung.factoring.entity.financing.contract;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 合同放款条件设定
 * </p>
 *
 * @author liutao
 * @since 2024-01-23
 */
@TableName("contract_loan_condition_setting")
public class ContractLoanConditionSetting extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 合同基础信息ID
     */
    @TableField("contract_info_id")
    private Long contractInfoId;

    /**
     * 序号
     */
    @TableField("order_number")
    private Integer orderNumber;

    /**
     * 是否是固定条件， 否-false，是-true
     */
    @TableField("is_fixed_condition")
    private Boolean fixedCondition;

    /**
     * 条件类型
     */
    @TableField("condition_type")
    private String conditionType;

    /**
     * 放款条件
     */
    @TableField("loan_condition")
    private String loanCondition;

    /**
     * 是否勾选
     */
    @TableField("is_checked")
    private Boolean checked;

    public Long getContractInfoId() {
        return contractInfoId;
    }

    public void setContractInfoId(Long contractInfoId) {
        this.contractInfoId = contractInfoId;
    }

    public Integer getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(Integer orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getConditionType() {
        return conditionType;
    }

    public Boolean getFixedCondition() {
        return fixedCondition;
    }

    public void setFixedCondition(Boolean fixedCondition) {
        this.fixedCondition = fixedCondition;
    }

    public void setConditionType(String conditionType) {
        this.conditionType = conditionType;
    }

    public String getLoanCondition() {
        return loanCondition;
    }

    public void setLoanCondition(String loanCondition) {
        this.loanCondition = loanCondition;
    }

    public Boolean getChecked() {
        return checked;
    }

    public void setChecked(Boolean checked) {
        this.checked = checked;
    }
}
